<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <title>Bokeh Plot</title>
    <style>
      html, body {
        box-sizing: border-box;
        display: flow-root;
        height: 100%;
        margin: 0;
        padding: 0;
      }
    </style>
    <script type="text/javascript" src="https://cdn.bokeh.org/bokeh/release/bokeh-3.3.1.min.js"></script>
    <script type="text/javascript">
        Bokeh.set_log_level("info");
    </script>
  </head>
  <body>
    <div id="fbec186d-3555-48a9-9557-741534790d69" data-root-id="p4033" style="display: contents;"></div>
  
    <script type="application/json" id="p4083">
      {"f06b0955-6d93-4857-8aa4-cd618ea6cadc":{"version":"3.3.1","title":"Bokeh Application","roots":[{"type":"object","name":"Figure","id":"p4033","attributes":{"x_range":{"type":"object","name":"DataRange1d","id":"p4034"},"y_range":{"type":"object","name":"DataRange1d","id":"p4035"},"x_scale":{"type":"object","name":"LinearScale","id":"p4043"},"y_scale":{"type":"object","name":"LinearScale","id":"p4044"},"title":{"type":"object","name":"Title","id":"p4036","attributes":{"text":"where is Turin office"}},"renderers":[{"type":"object","name":"GlyphRenderer","id":"p4069","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4029","attributes":{"selected":{"type":"object","name":"Selection","id":"p4030","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4031"},"data":{"type":"map","entries":[["x",{"type":"ndarray","array":{"type":"bytes","data":"BgmlQAgpo0BlcIVAuLJbQLO8REAP32lA2m2LQA=="},"shape":[7],"dtype":"float32","order":"little"}],["y",{"type":"ndarray","array":{"type":"bytes","data":"LnYZQTuwJUGNPTdB5nQsQeUJOUE9s0FBIZcgQQ=="},"shape":[7],"dtype":"float32","order":"little"}],["emb_names",["Torino","Torino","Offices","WelfareAndBenefits","Rende","Bologna","query"]],["emb_dists",["0.016367001","0.016155474","0.0150625","0.014956855","0.014633555","0.014399722",1.0]],["emb_labels",["Torino","Torino","Offices","WelfareAndBenefits","Rende","Bologna","query"]],["emb_texts",["Bike parking available\n\n- Public transportation in","# Torino\n\n\n\n- Address: [Corso Trapani 16/1, Fifth ","Agile Lab spans across six physical locations:\n\n* ","matters to us (as usual).\n\n\n\n&gt; Do you want to know","## Office\n\n- Spaces:\n\n  * _Operative area_: 5 desk","office room with 8 desks\n\n    * 2 conference rooms","where is Turin office"]]]}}},"view":{"type":"object","name":"CDSView","id":"p4070","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4071"}}},"glyph":{"type":"object","name":"Circle","id":"p4066","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"size":{"type":"value","value":10},"line_color":{"type":"field","field":"emb_labels","transform":{"type":"object","name":"CategoricalColorMapper","id":"p4032","attributes":{"palette":["#1f77b4","#ff7f0e","#2ca02c","#d62728","#9467bd","#8c564b","#e377c2","#7f7f7f","#bcbd22","#17becf"],"factors":["Torino","Torino","Offices","WelfareAndBenefits","Rende","Bologna","query"]}}},"fill_color":{"type":"field","field":"emb_labels","transform":{"id":"p4032"}},"hatch_color":{"type":"field","field":"emb_labels","transform":{"id":"p4032"}}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p4067","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"size":{"type":"value","value":10},"line_color":{"type":"field","field":"emb_labels","transform":{"id":"p4032"}},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"field","field":"emb_labels","transform":{"id":"p4032"}},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"field","field":"emb_labels","transform":{"id":"p4032"}},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p4068","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"size":{"type":"value","value":10},"line_color":{"type":"field","field":"emb_labels","transform":{"id":"p4032"}},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"field","field":"emb_labels","transform":{"id":"p4032"}},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"field","field":"emb_labels","transform":{"id":"p4032"}},"hatch_alpha":{"type":"value","value":0.2}}}}}],"toolbar":{"type":"object","name":"Toolbar","id":"p4042","attributes":{"tools":[{"type":"object","name":"PanTool","id":"p4055"},{"type":"object","name":"WheelZoomTool","id":"p4056","attributes":{"renderers":"auto"}},{"type":"object","name":"BoxZoomTool","id":"p4057","attributes":{"overlay":{"type":"object","name":"BoxAnnotation","id":"p4058","attributes":{"syncable":false,"level":"overlay","visible":false,"left_units":"canvas","right_units":"canvas","top_units":"canvas","bottom_units":"canvas","line_color":"black","line_alpha":1.0,"line_width":2,"line_dash":[4,4],"fill_color":"lightgrey","fill_alpha":0.5}}}},{"type":"object","name":"SaveTool","id":"p4059"},{"type":"object","name":"ResetTool","id":"p4060"},{"type":"object","name":"HelpTool","id":"p4061"},{"type":"object","name":"HoverTool","id":"p4062","attributes":{"renderers":"auto","tooltips":"\n    &lt;div&gt;\n        &lt;div&gt;\n            &lt;span style=\"font-size: 15px; font-weight: bold;\"&gt;Doc Name: &lt;/span&gt;\n            &lt;span style=\"font-size: 17px;\"&gt;@emb_names&lt;/span&gt;\n        &lt;/div&gt;\n        &lt;div&gt;\n            &lt;span style=\"font-size: 15px; font-weight: bold;\"&gt;Chunk Text: &lt;/span&gt;\n            &lt;span style=\"font-size: 17px;\"&gt;@emb_texts&lt;/span&gt;\n        &lt;/div&gt;\n        &lt;div&gt;\n            &lt;span style=\"font-size: 15px; font-weight: bold;\"&gt;Chunk Distance: &lt;/span&gt;\n            &lt;span style=\"font-size: 17px;\"&gt;@emb_dists&lt;/span&gt;\n        &lt;/div&gt;\n    &lt;/div&gt;\n    "}}]}},"left":[{"type":"object","name":"LinearAxis","id":"p4050","attributes":{"ticker":{"type":"object","name":"BasicTicker","id":"p4051","attributes":{"mantissas":[1,2,5]}},"formatter":{"type":"object","name":"BasicTickFormatter","id":"p4052"},"major_label_policy":{"type":"object","name":"AllLabels","id":"p4053"}}}],"below":[{"type":"object","name":"LinearAxis","id":"p4045","attributes":{"ticker":{"type":"object","name":"BasicTicker","id":"p4046","attributes":{"mantissas":[1,2,5]}},"formatter":{"type":"object","name":"BasicTickFormatter","id":"p4047"},"major_label_policy":{"type":"object","name":"AllLabels","id":"p4048"}}}],"center":[{"type":"object","name":"Grid","id":"p4049","attributes":{"axis":{"id":"p4045"}}},{"type":"object","name":"Grid","id":"p4054","attributes":{"dimension":1,"axis":{"id":"p4050"}}},{"type":"object","name":"Legend","id":"p4072","attributes":{"title":"Labels","label_text_font_size":"10pt","items":[{"type":"object","name":"LegendItem","id":"p4073","attributes":{"label":{"type":"value","value":"Bologna"},"renderers":[{"id":"p4069"}],"index":5}},{"type":"object","name":"LegendItem","id":"p4074","attributes":{"label":{"type":"value","value":"Offices"},"renderers":[{"id":"p4069"}],"index":2}},{"type":"object","name":"LegendItem","id":"p4075","attributes":{"label":{"type":"value","value":"Rende"},"renderers":[{"id":"p4069"}],"index":4}},{"type":"object","name":"LegendItem","id":"p4076","attributes":{"label":{"type":"value","value":"Torino"},"renderers":[{"id":"p4069"}],"index":0}},{"type":"object","name":"LegendItem","id":"p4077","attributes":{"label":{"type":"value","value":"WelfareAndBenefits"},"renderers":[{"id":"p4069"}],"index":3}},{"type":"object","name":"LegendItem","id":"p4078","attributes":{"label":{"type":"value","value":"query"},"renderers":[{"id":"p4069"}],"index":6}}]}}]}}]}}
    </script>
    <script type="text/javascript">
      (function() {
        const fn = function() {
          Bokeh.safely(function() {
            (function(root) {
              function embed_document(root) {
              const docs_json = document.getElementById('p4083').textContent;
              const render_items = [{"docid":"f06b0955-6d93-4857-8aa4-cd618ea6cadc","roots":{"p4033":"fbec186d-3555-48a9-9557-741534790d69"},"root_ids":["p4033"]}];
              root.Bokeh.embed.embed_items(docs_json, render_items);
              }
              if (root.Bokeh !== undefined) {
                embed_document(root);
              } else {
                let attempts = 0;
                const timer = setInterval(function(root) {
                  if (root.Bokeh !== undefined) {
                    clearInterval(timer);
                    embed_document(root);
                  } else {
                    attempts++;
                    if (attempts > 100) {
                      clearInterval(timer);
                      console.log("Bokeh: ERROR: Unable to run BokehJS code because BokehJS library is missing");
                    }
                  }
                }, 10, root)
              }
            })(window);
          });
        };
        if (document.readyState != "loading") fn();
        else document.addEventListener("DOMContentLoaded", fn);
      })();
    </script>
  </body>
</html>